
#ifndef _AI_ENGINE_H
#define _AI_ENGINE_H


#include "ai_team.h"


class AIEngine{
 public:
	~AIEngine(){}

   static AIEngine* getInstance() { if( singletonRef == NULL) singletonRef = new AIEngine(); return singletonRef; }

   void tick(float dt);
	void addAI(int teamNumber, int swarmNumber, AIModule* aiModule);
	void removeAI(int teamNumber, int swarmNumber, AIModule* aiModule);
	
 private:
	AIEngine(){}
	static AIEngine* singletonRef;
	std::map<int,AITeam*> teams;
};

#endif /* _AI_ENGINE_H */
