
#ifndef _AI_TEAM_H
#define _AI_TEAM_H

#include "ai_swarm.h"

class AITeam{
 public:
	~AITeam(){}
 	AITeam(){}
   void process(float dt);
	void addAI(int swarmNumber, AIModule* aiModule);
	void removeAI(int swarmNumber, AIModule* aiModule);
	int getTeamSize();
	
 private:
	std::map<int,AISwarm*> swarms;
};

#endif /* _AI_TEAM_H */
